Bug 107741 - garbage characters fill screen when setterm used in .bashrc
garbage characters fill screen when setterm used in .bashrc
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 11:49 EDT by Felix Miata
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 09:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Felix Miata 2003-10-22 11:49:51 EDT
How reproducible:
100%

Steps to Reproduce:
1.in /boot/grub/grub.conf, remove from kernel line any instance of vga= that may
be present (reboot  to place in effect if necessary)
2.in /root/.bashrc, put "setterm -foreground white -bold -background blue -blank
20 -store"
3.login root on tty[1-6]
4.type some characters
5.hit backspace key
    
Actual results:
1-cursor moves left one character
2-line to right of cursor fills with capital "G" with a diacritical over it

Expected results:
1-cursor moves left one character
2-last typed character is removed from display

Additional info:
1-If I try to use mc or vi after the garbage characters first appear, all
character positions on screen that should be blank turn to the garbage character.

2-This behavior is not new to severn. It is a reason why I wiped shrike off the
machine & installed severn in the space vacated. I never used psyche, but
vahalla and prior never did this.
Comment 1 Bill Nottingham 2003-10-22 12:29:08 EDT
-bold isn't going to work when you're using the unicode font.
Comment 2 Felix Miata 2003-10-22 13:33:58 EDT
1-How does one know unicode is being used?
2-How does one not use unicode in bash if one wants?
3-Why does VGA=788 on the kernel line not result in the same problem?

(bash 2.05b in Mandrake 9.2 doesn't do this, but I don't know how to discover
the charset in use.)
Comment 3 Tim Waugh 2003-10-24 05:56:05 EDT
Use 'locale' to see the encoding in use.
Comment 4 Felix Miata 2004-07-28 09:05:23 EDT
For root on tty[1-6], LC-TIME=en_DK, LE_ALL=, & the rest en_US.UTF-8.

For ordinary user in konsole, LC_ALL= & the rest are en_US.UTF-8.

The reported behavior is not present in FC1.

Note You need to log in before you can comment on or make changes to this bug.